angular.module('IDRMAGISOFT').controller('InitController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval', '$http'];
function InitController($scope, $state, $sessionStorage, servicios, $interval, $http) {
    
    delete $sessionStorage.IdServicio;
    delete $sessionStorage.Prioridad;
    delete $sessionStorage.idrelacionServicio;

    $scope.MostrarPaginaInicio = true;
    $scope.MostrarTerminos = false;
    $sessionStorage.NombreCliente = '';
    $sessionStorage.Cedula = '';
    $sessionStorage.IdPersona = '';
    $sessionStorage.nivel = '';
    $sessionStorage.MostrarEntrega = '0';
    $sessionStorage.IdEntrega = '';
    $sessionStorage.tipoSeleccionada = '0';
    $sessionStorage.Telefono = '';
    $sessionStorage.Ubicacion = '';


    
    $scope.paginaInicio = function () {
        $http.get("app/model/Servidor.php?accion=PermisoTerminos")
        .then(function (response) {
            if(response.data.respuesta[0] == '0' || response.data.respuesta[0] == 0){
                $scope.ValidarSelecTipTurn();
            }else{
                $scope.MostrarPaginaInicio = false;
                $scope.MostrarTerminos = true;
            }
        });
    }
    
    $scope.ValidarSelecTipTurn = function(){
        $http.get("app/model/Servidor.php?accion=ValidarSelecTipTurn")
        .then(function (response) {
            if(response.data.respuesta[0] == '0' || response.data.respuesta[0] == 0){
                $scope.ValidarIrOpciones();
            }else{
                $state.go("SelecTipTurn");
            }
        });
    }


    $scope.ValidarIrOpciones = function() {
        $http.get("app/model/Servidor.php?accion=ValidarTercerNivel")
            .then(function (response) {
                if(response.data.respuesta[0] == '0' || response.data.respuesta[0] == 0){
                    $scope.ValidarIrCedula();
                }else{
                    $state.go("Opciones");
                }
        });
    }

    $scope.ValidarIrCedula = function() {
        $http.get("app/model/Servidor.php?accion=PermisoCedula")
            .then(function (response) {
                if(response.data.respuesta[0] == '0' || response.data.respuesta[0] == 0){
                    $state.go("Sercivios");
                }else{
                    $state.go("Cedula");
                }
            });
    }
    
    $scope.CargaInicial = function() {
        $http.get("app/model/Servidor.php?accion=CargaInicial")
            .then(function (response) {
               
            });
    }

    $scope.CargaInicial();
    $scope.paginaInicio();
}